<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.vertexprize</groupId>
    <artifactId>GraphDBmanager</artifactId>
    <version>0.0.1</version>
    <packaging>jar</packaging>
    
    
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <exec.mainClass>org.vertexprize.graphdbmanager.GraphDBmanager</exec.mainClass>
    </properties>
    
    
     <dependencies>
         <!-- Testing --> 
        <dependency>
            <groupId>org.testng</groupId>
            <artifactId>testng</artifactId>
            <version>7.5</version>
            <scope>test</scope>
            <type>jar</type>
        </dependency>
        
          <!-- Apache TinkerPOP  -->
        <dependency>
            <groupId>org.apache.tinkerpop</groupId>
            <artifactId>gremlin-core</artifactId>
            <version>3.7.0</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.tinkerpop</groupId>
            <artifactId>tinkergraph-gremlin</artifactId>
            <version>3.7.0</version>
        </dependency>
        
    </dependencies>  
       

    <build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-surefire-plugin</artifactId>
            <version>2.22.2</version>
            <configuration>
                <suiteXmlFiles>
                    <suiteXmlFile>
                        src/test/java/test/config/testng.xml
                    </suiteXmlFile>
                </suiteXmlFiles>
            </configuration>
        </plugin>
    </plugins>
    </build>
    
    
    
</project>